Index

Click on one of the topics to read more

  • General
    General information about the Snowflakes plug-in.
  • Operation
    Instructions on controlling the Snowflakes plug-in.
Copyright © 2001 Martijn W. van der Lee/VanDerLee.


General

Here you'll find some general information about the Snowflakes plug-in.

  • About Snowflakes
    What Snowflakes is and what it can do (sample pictures included).
  • Installation
    The requirements and (un-)installation procedure for the Snowflakes plug-in.
  • History
    A list of changes for each version update.
  • Legal agreement
    If you wish to use Snowflakes you must agree to the legal agreement.


About Snowflakes

Snow in the desert With the Snowflakes plug-in you can create any type of snow you can imagine, ranging from mild and fluffy snowfall to heavy hailstorms and anything in between.

Texture thingy Snowflakes includes sliders which allow you to change all aspects of the effect. With density you can smoothly change between a few flakes and more than fit the screen. You can also specify the range of flake sizes, allowing you to have all the flakes of equal size, be it small or large or any mixture in-between.

Couple the previous controls with a hardness settings, which allows you you to give the snowflakes hard edges or very soft ones, and a transparency setting and you can use this plug-in to create perlin-noise like textures such as wool, dust and the resulting images can even be used as the source for a 3D landscape. Fluffy clouds and water surfaces are also possible by just shifting the controls.

Party animal An extra color setting allows for completely different effects such as a festive confetti or romantic rose-leaves falling down. Predefined colors will help you get the effect you want quickly or you can use a custom color for your own personal taste. A random seed control allows you to use another random placement for the dots only when you want to, allowing you to mix different settings by rendering the snowflakes in multiple passes.

Stars in the sky The space-scene on the left shows yet another application for the Snowflakes plug-in; the stars at the back were created by using small snowflake sizes and low density. The stars are slightly softened, making them look somewhat blurred.

As with all our products, utmost care has been taken to assure the highest possible quality, performance and compatibility. At their hardest setting, the snowflakes are perfectly anti-aliassed, at their softest, they are smoothly shaded dots. The effect will render equally beautiful on RGB, grayscale or Duotone modes, with or without (partial) transparency.

We have used only the finest of mathematics (floating point precision math wherever possible) to bring you sub-pixel level accuracy and full scalability; create an effect in a small-sized copy (as Adobe themselves recommend) and it will look identical on the full-sized image. You can save and reload the settings and it will look perfect every time.

If you require more information or support then just e-mail us at snowflakes@v-d-l.com.

Contacting
You can contact us for technical support or other questions/remarks.
On the internet: http://www.v-d-l.com
Using E-Mail: snowflakes@v-d-l.com
By snail mail: VanDerLee, Meentweg 36, 1405 JB, Bussum, The Netherlands.


Installation

System requirements
Processor: Intel 80486 or compatible (including but not limited to AMD, Cyrix, IBM and WinChip).
Operating system: Windows 95 or above (including but not limited to Windows 98, Windows NT 4.0 and Windows 2000).
Harddisk: At least 1 MB free space.
A fully PhotoShop plug-in compatible software package:

Adobe | Illustrator | 7
 | Image Ready | 2
 | PhotoShop | 3, 4, 5, 5.5
Alexander Sabov | PicMaster | 1.25
CDH Productions | Image Explorer Pro | 4
CiEBV Computerinsel | PhotoLine 32 | 5, 6
Corel | PhotoPaint | 6, 7, 8, 9
 | Bryce | 4
Deneba | Canvas | 6
Harald Heim | Plugin Commander | 1.5
JASC | Paint Shop Pro | 4.12, 5, 6, 7
Macromedia | Fireworks | 2, 3
 | Freehand | 7, 8
MicroFrontier | Digital Darkroom | 1.2
Micrografx | Picture Publisher | 8
Microsoft | PhotoDraw 2000 | 1
Newave | Chaos Fx: Twilight'76 | 1.2
PS | imageN (free) | 1.0z
Ron Scott | QFX | 7.0
Satori | PhotoXL | 2.29
ULead | PhotoImpact | 4, 4.2, 5

Un-installing
Since no modifications are made to the system by installing the Snowflakes plug-in you can just manually remove the files and any directories or shortcuts you may have made yourself.


Legal agreement

Copyright © 2001 Martijn W. van der Lee/VanDerLee.

Legal agreement
Martijn van der Lee permits you use the Snowflakes plug-in (Software) conditioned on your acceptance of this agreement. Use of this Software will be taken to mean acceptance of this agreement, so please read the following terms carefully before you use the Software.

1. Copyright and permission for use
Martijn van der Lee grants you as an individual the right to use the Software on only one computer at any single time. The ownership and copyright of the Program belongs to Martijn van der Lee.

2. Prohibitions and restrictions
You may not reverse-compile, disassemble, reverse-engineer, or use any other method to convert the Software into a human-readable form, nor may you allow another person to do so. The Software may not be duplicated, corrected, modified, lent, leased, sold, distributed, licensed or disposed of in any other way in part or in whole if money or other means of payment or restitution are involved. The creation of derivative works based on the content of the Software is also prohibited. Your rights regarding the Software may be transferred to a third party only if this is done for non-commercial purposes and if the Software and all associated documentation including this agreement are included, and if the third party accepts this agreement.

3. Limitations of Liability
The Software was developed at, and is copyrighted by, Martijn van der Lee. The Software is offered "AS IS" and Martijn van der Lee makes no warranty as to its use or performance.
MARTIJN VAN DER LEE AND ITS SUPPLIERS DO NOT AND CANNOT WARRANT THE PERFORMANCE OR RESULTS YOU MAY OBTAIN BY USING THE SOFTWARE OR DOCUMENTATION. MARTIJN VAN DER LEE AND ITS SUPPLIERS MAKE NO WARRANTIES, EXPRESS OR IMPLIED, AS TO NON INFRINGEMENT OF THIRD PARTY RIGHTS, MERCHANTABILITY, OR FITNESS FOR ANY PARTICULAR PURPOSE. IN NO EVENT WILL MARTIJN VAN DER LEE OR ITS SUPPLIERS BE LIABLE TO YOU FOR ANY CONSEQUENTIAL, INCIDENTAL OR SPECIAL DAMAGES, INCLUDING ANY LOST PROFITS OR LOST SAVINGS, EVEN IF MARTIJN VAN DER LEE HAS BEEN ADVISED OF THE POSSIBILITY OF SUCH DAMAGES, OR FOR ANY CLAIM BY ANY THIRD PARTY.


History

v1.00
· First release.

Copyright © 1999-2001 Martijn W. van der Lee/VanDerLee.


Operation

Snowflakes

GUI Although the controls in the Snowflakes plug-in are rather straightforward, especially when you're familiar with our other plug-ins, some details may not be immediately clear. This section will guide you through all the basics and secrets of the Snowflakes plug-in.

The screenshot on the right shows the plug-ins' user interface.
We've marked the main sections, for which you will find a complete explanation in sequence.

1. Preview

If you're familiar with our other plug-ins, you'll know how to use the preview window.
On top is the big preview window, if the image doesn't fit into the space reserved for it you can pan it around by clicking the left mouse button anywhere on the image and dragging whilst keeping the button pressed.
Beneath the preview is the progress indicator and the zoom buttons which will let you either zoom in or out of the image. The preview is as accurate as possible and will even give a very useful preview at the lowest settings.

2. Effect controls

These three controls determine the amount of snowflakes, their sizes, color and other properties. From top to bottom they are...

Amount Amount
Controls the amount of snowflakes on screen. You can specify anything between 0% and 1000%, usually you'll want a relatively low percentage (between 10% and 250%) but you may have to resort to a higher snowflake amount when using small snowflakes, high transparency or for specific effects such as clouds or fog.

Size range Size range begin/end
The size range controls allow you to set the minimum and maximum size of the snowflakes so the effect will get a 3D feel. Both controls can be interchanged; the actual range start from the lowest of the two and ends at the highest. If you set both controls to the same size, each snowflake will have equal size, which is useful for effects like clouds or fog.

Hardness Hardness
If you're familiar with the brushes in PhotoShop, you'll know how to use the hardness control, since it works precisely the same. Hardness controls the edges of the snowflakes, the lowest setting will turn them into a blurred dot whereas the highest setting will produce perfectly anti-aliassed circles.
For natural snowflakes we recommend using a value of about 50%, fluffy clouds look best with a very low hardness value.

Transparency Transparency
Transparency controls how whether the snowflakes appear completely opaque (0%) or completely transparent (100%). The transparency mixes smoothly with any background you might have, including partially transparent ones.
For an average snowflake either use no transparency at all or just slightly. Raindrops can be simulated by using a medium transparency and fog or clouds work best with nearly complete transparency, about 95% to 99% will produce good results.

Color Color
The color of the snowflakes can also be changed to allow for many other types of effects like gold dust or confetti. To make live easier, we've included a carefully chosen collection of predefined colors, which you can select from a list by clicking on text-box. Alternatively you can choose to specify your own color by clicking on the color-preview box. A standard color selection window will help you pick the color you need.

Random seed
Changing the random seed will change the random pattern used for placing and sizing the snowflakes. The reason this is set manually is so you can save the current setting, open the saved setting at a later time and end up with identical results. It also ensures the same random distribution on consecutive renders.
You can specify a seed from 0 to 9999, which should give you enough options to last at least a few years.

3. Open/Save

The Open and Save buttons allow you to save and restore any settings you have made. Clicking either button will show a corresponding window allowing you to open or save settings. The default extension for these settings files is .sfs, it will be added automatically if you do not specify it manually. The format used for saving the files is extensible so future updates of Snowflakes will be able to use them.

4. OK/Cancel

These two buttons hardly require explanation; the OK button will render the effect to the source image, the Cancel button will return to the host application without any changes to the image.

Other controls

Left are the Help button, which you have already discovered seeing as you're reading the help system now and a link to our site hidden under the copyright-notice, just click it and you're favorite browser will be launched automatically.